Page MenuHomePhabricator

Split privacy policy message into link and display text
Closed, ResolvedPublic

Description

On https://gerrit.wikimedia.org/r/#/c/96894/1/WikimediaMessages.i18n.php Siebrand (rightly) recommends that the message is split into link and link text.


Version: master
Severity: minor

Details

Reference
bz57457

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:38 AM
bzimport set Reference to bz57457.
bzimport added a subscriber: Unknown Object (MLST).
csteipp created this task.Nov 22 2013, 11:34 PM
Aklapper triaged this task as Low priority.Mar 17 2015, 10:58 AM
Aklapper added a subscriber: Aklapper.
MarkTraceur set Security to None.

Should I make them two messages as in "one that says 'privacy policy' and another that is the URL" or should I make them two messages as in "one that is [[{{ns:Project}}:Privacy policy|{{1}}]] and one that is 'privacy policy'"? Because the latter sounds lego-y, and the former seems like it could go wrong very quickly (i.e. there's no sane default, because I can't very well make {{ns:Project}}:Privacy policy into a URL without special-casing the default somehow, and I don't like the sound of that)

At this point, a possibility is just to make the message [https://wikimediafoundation.org/wiki/Special:MyLanguage/Privacy_policy/en {{int:Privacy}}].

Note, core does:

languages/i18n/en.json
242:    "privacy": "Privacy policy",
243:    "privacypage": "Project:Privacy policy",
includes/skins/Skin.php
972:            return $this->footerLink( 'privacy', 'privacypage' );

Which allows to reuse the link.

Deskana removed a subscriber: Deskana.Apr 13 2015, 5:40 PM

Also, T64686 is to get rid of this message and replace it, potentially, with a link to the app's privacy policy, if we know what it is. So whatever way makes that easy in the long run.

@csteipp well, in that case, we'd need to support arbitrary URLs, which are presumably redirected to per-language versions on the other end. So I guess I'll use privacypage, make it into a URL, and use that, along with the existing privacy message.

Easy enough, right?

Actually, as a matter of fact, the helpful skin class has a privacyLink method that I'll use instead. Brilliant.

If we implement per-app ones later, we can handle that specially.

Change 203996 had a related patch set uploaded (by MarkTraceur):
Use skin-wise privacy link method

https://gerrit.wikimedia.org/r/203996

Tgr claimed this task.May 10 2015, 6:37 PM

Change 203996 merged by jenkins-bot:
Use skin-wise privacy link method

https://gerrit.wikimedia.org/r/203996

Tgr closed this task as Resolved.May 11 2015, 1:04 PM
Tgr reassigned this task from Tgr to MarkTraceur.